> ## Documentation Index
> Fetch the complete documentation index at: https://ormilabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ERC-1155 transfers

> Lists ERC-1155 transfers for an address. Filterable by block range and contract address.



## OpenAPI

````yaml get /somnia/v1/address/{walletAddress}/transfers/erc1155
openapi: 3.0.3
info:
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  title: Data API
  version: 1.0.0
servers:
  - description: The DEV base URL for the API
    url: https://data-api.cloud.ormi.dev
security: []
paths:
  /somnia/v1/address/{walletAddress}/transfers/erc1155:
    get:
      tags:
        - Transfers
      summary: Get ERC-1155 transfers
      description: >-
        Lists ERC-1155 transfers for an address. Filterable by block range and
        contract address.
      operationId: getErc1155Transfers
      parameters:
        - description: Wallet address
          in: path
          name: walletAddress
          required: true
          schema:
            type: string
        - description: >-
            The block height to start from, inclusive. Defaults to genesis
            block.
          in: query
          name: starting-block
          required: false
          schema:
            format: int64
            type: integer
        - description: >-
            The block height to end at, inclusive. Defaults to latest block
            height.
          in: query
          name: ending-block
          required: false
          schema:
            format: int64
            type: integer
        - description: Contract address to filter by.
          in: query
          name: contract-address
          required: false
          schema:
            type: string
        - $ref: '#/components/parameters/cursor'
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NFTTransfersResponse'
          description: OK
components:
  parameters:
    cursor:
      description: The cursor returned in previous response (for getting the next page).
      in: query
      name: cursor
      required: false
      schema:
        type: string
    limit:
      description: Number of records to fetch
      in: query
      name: limit
      required: false
      schema:
        default: 100
        maximum: 100
        minimum: 1
        nullable: true
        type: integer
  schemas:
    NFTTransfersResponse:
      allOf:
        - $ref: '#/components/schemas/TransfersResponse'
        - properties:
            cursor:
              nullable: true
              type: string
            transfers:
              items:
                $ref: '#/components/schemas/NFTTokenTransfer'
              type: array
          type: object
    TransfersResponse:
      properties:
        cursor:
          nullable: true
          type: string
        resultCount:
          description: amount of transfers equal to page size.
          type: integer
      required:
        - resultCount
        - transfers
      type: object
    NFTTokenTransfer:
      properties:
        amount:
          type: string
        block_number:
          format: int64
          type: integer
        block_timestamp:
          format: date-time
          nullable: true
          type: string
        from_address:
          type: string
        log_index:
          type: integer
        to_address:
          type: string
        token:
          $ref: '#/components/schemas/TokenWithMetadata'
        transaction_hash:
          type: string
      required:
        - transaction_hash
        - block_number
        - log_index
        - from_address
        - to_address
        - amount
        - token
      type: object
    TokenWithMetadata:
      properties:
        address:
          type: string
        erc_type:
          type: string
        metadata:
          $ref: '#/components/schemas/Metadata'
        name:
          type: string
        symbol:
          type: string
        token_id:
          type: string
      required:
        - address
        - erc_type
        - token_id
        - metadata
      type: object
    Metadata:
      properties:
        attributes:
          description: Additional attributes of the token.
          type: string
          x-omitempty: true
        decimals:
          description: Decimals of the token.
          format: int64
          type: integer
          x-nullable: true
        description:
          description: Description of the token.
          type: string
          x-omitempty: true
        externalUrl:
          description: External URL related to the token.
          type: string
          x-omitempty: true
        imageUri:
          description: URI for the token image.
          type: string
          x-omitempty: true
        mintedBlockNumber:
          description: Minted block number of the token.
          format: int64
          type: integer
          x-omitempty: true
        mintedTimestamp:
          description: Minted timestamp of the token.
          format: date-time
          type: string
          x-omitempty: true
        name:
          description: Name of the token.
          type: string
          x-omitempty: true
        symbol:
          description: Symbol of the token.
          type: string
          x-omitempty: true
      required:
        - mintedBlockNumber
        - name
        - symbol
        - imageUri
        - description
        - externalUrl
        - attributes
      type: object

````